Statistic (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.admin

## Interface Statistic

- All Superinterfaces:
    java.io.Serializable

  Deprecated.
  as of 7.0 use the `management` package instead

      public interface Statistic
      extends java.io.Serializable

  Interface to represent a single statistic of a `StatisticResource`
  Since:
    GemFire 3.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` Deprecated. Gets the full description of this statistic.
    `java.lang.String` | `getName()` Deprecated. Gets the identifying name of this statistic.
    `java.lang.String` | `getUnits()` Deprecated. Gets the unit of measurement (if any) this statistic represents.
    `java.lang.Number` | `getValue()` Deprecated. Gets the value of this statistic as a `java.lang.Number`.
    `boolean` | `isCounter()` Deprecated. Returns true if this statistic represents a numeric value which always increases.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Deprecated.
      Gets the identifying name of this statistic.
      Returns:
        the identifying name of this statistic

    - #### getValue

          java.lang.Number getValue()

      Deprecated.
      Gets the value of this statistic as a `java.lang.Number`.
      Returns:
        the value of this statistic

    - #### getUnits

          java.lang.String getUnits()

      Deprecated.
      Gets the unit of measurement (if any) this statistic represents.
      Returns:
        the unit of measurement (if any) this statistic represents

    - #### isCounter

          boolean isCounter()

      Deprecated.
      Returns true if this statistic represents a numeric value which always increases.
      Returns:
        true if this statistic represents a value which always increases

    - #### getDescription

          java.lang.String getDescription()

      Deprecated.
      Gets the full description of this statistic.
      Returns:
        the full description of this statistic